<?xml version="1.0"?>
<!--  EDITING THIS FILE

      You should edit the copy of this Web.config file in the [application name] directory.

-->
<configuration>
  <!--CONFIGURE APPLICATION TO BE ABLE TO USE AJAX V1.0 - BASED ASP.NET FEATURES -->
  <configSections>
    <sectionGroup name="system.web.extensions" type="System.Web.Configuration.SystemWebExtensionsSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
      <sectionGroup name="scripting" type="System.Web.Configuration.ScriptingSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
        <section name="scriptResourceHandler" type="System.Web.Configuration.ScriptingScriptResourceHandlerSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
        <sectionGroup name="webServices" type="System.Web.Configuration.ScriptingWebServicesSectionGroup, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35">
          <section name="jsonSerialization" type="System.Web.Configuration.ScriptingJsonSerializationSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="Everywhere" />
          <section name="profileService" type="System.Web.Configuration.ScriptingProfileServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
          <section name="authenticationService" type="System.Web.Configuration.ScriptingAuthenticationServiceSection, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="false" allowDefinition="MachineToApplication" />
        </sectionGroup>
      </sectionGroup>
    </sectionGroup>
  </configSections>
  <appSettings>
    <!--  EVENT LOGGING
          Set LogEvents value="false" to disable all logging to the system event log.
          
          DATABASE COMMAND LOGGING
          Set LogDatabaseCommands value="true" to log all database SQL commands to the
          system the event log. Only works if LogEvents = "true".
         
          DATABASE ERROR LOGGING
          Set LogDatabaseExceptions value="all" to log all database exceptions to the
          system the event log.  Set to "default" to only log exceptions that are unlikely
          to be caused by normal user interaction.  Only works if LogEvents = "true"

          Set LogCommitExceptions value="all" to log all database transaction commit exceptions
          to the system the event log.  Set to "default" to only log exceptions that are unlikely
          to be caused by normal user interaction.  Only works if LogEvents = "true".
    
          TRACE LOGGING OUTPUT
          To get detailed page-level tracing, set the following to "true":
              TraceDatabaseCommands, TraceDataAccessMethods, TraceTransactionCache
          Also set trace enabled="true" and pageOutput="true" in the 
          APPLICATION-LEVEL TRACE LOGGING section below.
    -->
    <!-- VIEWSTATE LOCATION
    	 The ViewStateLocation specifies where the view state for a page
    	 should be stored.  
    	 1. Page (default): Stored it in the page.  Increases page size.
    	    Always works, but slower to encrypt, decrypt and send.
    	 2. Session: Store it in the session on the server.
    	    Results in better performance, but may not always work because
    	    session data may be timed out, or flushed to make room for more.
    	 3. Cache: Stored in the cache.  Similar to Session, but has more
    	    timeout options.
    	 4. File: Stored in a temporary file.  Will always work, but slower.
    	 5. Database: Stored in the database.  Will always work, but slower.
    	 See online help for more information.
    -->
    <add key="LogEvents" value="true" />
    <add key="LogDatabaseCommands" value="false" />
    <add key="LogDatabaseExceptions" value="default" />
    <add key="LogCommitExceptions" value="default" />
    <add key="TraceDatabaseCommands" value="false" />
    <add key="TraceDataAccessMethods" value="false" />
    <add key="TraceTransactionCache" value="false" />
    <add key="ViewStateLocation" value="Page" />
    <add key="EmailFrom" value="user@ironspeed.com" />
    <add key="EmailServer" value="localhost" />
    <add key="WebServer" value="http://localhost" />
    <add key="ApplicationName" value="Training1" />
    <add key="FCKeditor:BasePath" value="~/FCKeditor/" />
    <add key="CookieEncryptionKey" value="A3BD4792-532C-46E2-87BF-7DC1D48C7FB9" />
    <add key="URLEncryptionKey" value="A3BD4792-532C-46E2-87BF-7DC1D48C7FB9" />
    <add key="DatabaseTrainingSouthwind.mdb1" value="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Iron Speed\Training\Databases\TrainingSouthwind.mdb;Jet OLEDB:Database Locking Mode=1;Mode=16" />
    <add key="SignInPageUrl" value="Security/SignIn.aspx" />
    <add key="SignedOutPageUrl" value="Security/SignOut.aspx" />
    <add key="AuthenticationType" value="ProprietorySecurity" />
    <add key="RoleManagement" value="None" />
    <add key="UserIdentityTable" value="Training1.Business.EmployeesTable, App_Code" />
    <add key="ShowAutoSignInCheckBox" value="True" />
    <add key="ShowRememberPasswordCheckBox" value="True" />
    <add key="ShowRememberUserCheckBox" value="True" />
    <add key="DefaultPageUrl" value="Products/ShowProductsTablePage.aspx" />
  </appSettings>
  <system.web>
    <!--
          Set compilation debug="true" to insert debugging
          symbols into the compiled page. Because this
          affects performance, set this value to true only
          during development.
    -->
    <siteMap defaultProvider="MenuElementsProvider">
      <providers>
        <add siteMapFile="~/Menu Panels/Menu.sitemap" securityTrimmingEnabled="true" name="MenuElementsProvider" type="Training1.UI.MenuXmlSiteMapProvider" />
      </providers>
    </siteMap>
    <compilation debug="true">
      <assemblies>
        <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      </assemblies>
    </compilation>
    <!-- ASMX is mapped to a new handler so that proxy JavaScripts can also be served. -->
    <httpHandlers>
      <remove verb="*" path="*.asmx" />
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
    </httpHandlers>
    <httpModules>
      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </httpModules>
    <pages validateRequest="false">
      <namespaces>
        <clear />
        <add namespace="Training1" />
        <add namespace="Training1.UI" />
        <add namespace="Training1.UI.Controls" />
        <add namespace="Training1.Data" />
        <add namespace="Training1.Business" />
        <add namespace="System" />
        <add namespace="System.Collections" />
        <add namespace="System.Collections.Specialized" />
        <add namespace="System.Configuration" />
        <add namespace="System.Text" />
        <add namespace="System.Text.RegularExpressions" />
        <add namespace="System.Web" />
        <add namespace="System.Web.Caching" />
        <add namespace="System.Web.SessionState" />
        <add namespace="System.Web.Security" />
        <add namespace="System.Web.Profile" />
        <add namespace="System.Web.UI" />
        <add namespace="System.Web.UI.WebControls" />
        <add namespace="System.Web.UI.WebControls.WebParts" />
        <add namespace="System.Web.UI.HtmlControls" />
        <add namespace="BaseClasses" />
        <add namespace="BaseClasses.Web.UI.WebControls" />
      </namespaces>
      <controls>
        <add tagPrefix="asp" namespace="System.Web.UI" assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      </controls>
      <tagMapping>
        <add tagType="System.Web.UI.WebControls.CompareValidator" mappedTagType="Sample.Web.UI.Compatibility.CompareValidator, Validators, Version=1.0.0.0" />
        <add tagType="System.Web.UI.WebControls.CustomValidator" mappedTagType="Sample.Web.UI.Compatibility.CustomValidator, Validators, Version=1.0.0.0" />
        <add tagType="System.Web.UI.WebControls.RangeValidator" mappedTagType="Sample.Web.UI.Compatibility.RangeValidator, Validators, Version=1.0.0.0" />
        <add tagType="System.Web.UI.WebControls.RegularExpressionValidator" mappedTagType="Sample.Web.UI.Compatibility.RegularExpressionValidator, Validators, Version=1.0.0.0" />
        <add tagType="System.Web.UI.WebControls.RequiredFieldValidator" mappedTagType="Sample.Web.UI.Compatibility.RequiredFieldValidator, Validators, Version=1.0.0.0" />
        <add tagType="System.Web.UI.WebControls.ValidationSummary" mappedTagType="Sample.Web.UI.Compatibility.ValidationSummary, Validators, Version=1.0.0.0" />
      </tagMapping>
    </pages>
    <!--  CUSTOM ERROR MESSAGES
          Set customErrors mode="On" or "RemoteOnly" to enable custom error messages, "Off" to disable. 
          Add <error> tags for each of the errors you want to handle.
    -->
    <customErrors mode="RemoteOnly" defaultRedirect="Shared/Internal_Server_Error.html">
      <error statusCode="404" redirect="Shared/Internal_Server_Error.html" />
      <error statusCode="500" redirect="Shared/Internal_Server_Error.html" />
    </customErrors>
    <!--  AUTHENTICATION 
          This section sets the authentication policies of the application. Possible modes are "Windows", 
          "Forms", "Passport" and "None"
    -->
    <authentication mode="Windows" />
    <!--  IDENTITY 
          Set Impersonate="true" to enable IIS to run this application under the credentials of the current user.
    -->
    <identity impersonate="true" />
    <!--  AUTHORIZATION 
          This section sets the authorization policies of the application. You can allow or deny access
          to application resources by user or role. Wildcards: "*" mean everyone, "?" means anonymous 
          (unauthenticated) users.
    -->
    <authorization>
      <allow users="*" />
      <!-- Allow all users -->
      <!--  <allow     users="[comma separated list of users]"
                             roles="[comma separated list of roles]"/>
                  <deny      users="[comma separated list of users]"
                             roles="[comma separated list of roles]"/>
            -->
    </authorization>
    <!--  APPLICATION-LEVEL TRACE LOGGING
          Application-level tracing enables trace log output for every page within an application. 
          Set trace enabled="true" to enable application trace logging.  If pageOutput="true", the
          trace information will be displayed at the bottom of each page.  Otherwise, you can view the 
          application trace log by browsing the "trace.axd" page from your web application
          root. 
    -->
    <trace enabled="false" requestLimit="10" pageOutput="false" traceMode="SortByTime" localOnly="true" />
    <!--  SESSION STATE SETTINGS
          By default ASP.NET uses cookies to identify which requests belong to a particular session. 
          If cookies are not available, a session can be tracked by adding a session identifier to the URL. 
          To disable cookies, set sessionState cookieless="true".
    -->
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;user id=sa;password=" cookieless="false" timeout="60" />
    <!--  GLOBALIZATION
          This section sets the globalization settings of the application. 
    -->
    <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="en-US" uiCulture="en-US" />
    <!--  HTTP RUN TIME
          This section sets the run time settings of the application.
    -->
    <httpRuntime maxRequestLength="10240" />
  </system.web>
  <location path="DefaultWsdlHelpGenerator.aspx">
    <system.web>
      <pages styleSheetTheme="" />
    </system.web>
  </location>
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <add name="ScriptModule" preCondition="integratedMode" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </modules>
    <handlers>
      <remove name="WebServiceHandlerFactory-Integrated" />
      <add name="ScriptHandlerFactory" verb="*" path="*.asmx" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add name="ScriptHandlerFactoryAppServices" verb="*" path="*_AppService.axd" preCondition="integratedMode" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add name="ScriptResource" preCondition="integratedMode" verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </handlers>
  </system.webServer>
</configuration>